declare const _sfc_main: import("vue").DefineComponent<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    alt: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    requestWidth: {
        type: NumberConstructor;
        required: false;
    };
    requestHeight: {
        type: NumberConstructor;
        required: false;
    };
    loadingWidth: {
        type: StringConstructor;
        required: false;
    };
    loadingHeight: {
        type: StringConstructor;
        required: false;
    };
    quality: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: () => boolean;
    };
    useSrcset: {
        type: BooleanConstructor;
        required: false;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        required: false;
    };
    imageRatio: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    errorImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    blankImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
}, {
    props: any;
    shouldUseDefaultImage: import("vue").ComputedRef<boolean>;
    imageResizeAvailable: import("vue").ComputedRef<boolean>;
    createImageUrl: (src?: string, width?: number, height?: number) => string | undefined;
    imageSrc: import("vue").ComputedRef<string | undefined>;
    imageSrcSet: import("vue").ComputedRef<string | undefined>;
    shouldLoad: import("vue").Ref<boolean>;
    startLoadImage: () => void;
    imageLoaded: import("vue").Ref<boolean>;
    setImageLoaded: () => void;
    imageWidth: import("vue").ComputedRef<string | undefined>;
    imageHeight: import("vue").ComputedRef<string | undefined>;
    loadFailed: import("vue").Ref<boolean>;
    setLoadFailed: () => void;
    errorImageUrl: import("vue").ComputedRef<string | undefined>;
    blankImageUrl: import("vue").ComputedRef<string | undefined>;
    imageDisplay: import("vue").ComputedRef<string | undefined>;
    readonly vLazy: import("vue").Directive<any, any>;
    readonly vPreventCopy: import("vue").Directive<any, any>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    fileUrl: {
        type: StringConstructor;
        required: false;
    };
    alt: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: StringConstructor;
        required: false;
    };
    height: {
        type: StringConstructor;
        required: false;
    };
    requestWidth: {
        type: NumberConstructor;
        required: false;
    };
    requestHeight: {
        type: NumberConstructor;
        required: false;
    };
    loadingWidth: {
        type: StringConstructor;
        required: false;
    };
    loadingHeight: {
        type: StringConstructor;
        required: false;
    };
    quality: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    lazy: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    preventCopy: {
        type: BooleanConstructor;
        required: false;
        default: () => boolean;
    };
    useSrcset: {
        type: BooleanConstructor;
        required: false;
    };
    srcsetMaxResolution: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    hideImageOnError: {
        type: BooleanConstructor;
        required: false;
    };
    imageRatio: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    errorImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    blankImage: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
}>>, {
    quality: number;
    lazy: boolean;
    preventCopy: boolean;
    useSrcset: boolean;
    srcsetMaxResolution: number;
    hideImageOnError: boolean;
    imageRatio: number;
    errorImage: string;
    blankImage: string;
}>;
export default _sfc_main;
