declare const _sfc_main: import("vue").DefineComponent<{
    title: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    minWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    minHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    drag: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    clickToClose: {
        type: BooleanConstructor;
        required: false;
    };
    escToClose: {
        type: BooleanConstructor;
        required: false;
    };
    transition: {
        type: StringConstructor;
        required: false;
    };
    classes: {
        type: StringConstructor;
        required: false;
    };
}, {
    slots: Readonly<{
        [name: string]: import("vue").Slot | undefined;
    }>;
    hasTitleSlot: import("vue").ComputedRef<boolean>;
    hasButtonsSlot: import("vue").ComputedRef<boolean>;
    UiButton: import("vue").DefineComponent<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        iconClass: import("vue").ComputedRef<string>;
        extraClass: import("vue").ComputedRef<string>;
        isComponentLink: import("vue").ComputedRef<boolean>;
        checkComponentLinkOrButton: import("vue").ComputedRef<"button" | import("vue").DefineComponent<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }, {
            props: any;
            isTargetSelf: import("vue").ComputedRef<boolean>;
            instance: import("vue").ComponentInternalInstance | null;
            isVueRouterInstalled: boolean;
            router: import("vue-router").Router | undefined;
            routerBase: string;
            isInternalLink: import("vue").ComputedRef<"" | "RELATIVE_PATH" | "SAME_ORIGIN" | undefined>;
            computedHref: import("vue").ComputedRef<string | undefined>;
            component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }>>, {
            replace: boolean;
        }>>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }>>, {
        caption: string;
        replace: boolean;
        buttonType: string;
        iconDirection: string;
        disabled: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    title: {
        type: StringConstructor;
        required: false;
    };
    width: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    height: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    minWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    minHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxWidth: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxHeight: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    drag: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    clickToClose: {
        type: BooleanConstructor;
        required: false;
    };
    escToClose: {
        type: BooleanConstructor;
        required: false;
    };
    transition: {
        type: StringConstructor;
        required: false;
    };
    classes: {
        type: StringConstructor;
        required: false;
    };
}>>, {
    drag: boolean;
    clickToClose: boolean;
    escToClose: boolean;
}>;
export default _sfc_main;
