declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | ObjectConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    allowNull: {
        type: BooleanConstructor;
        required: false;
    };
    values: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    valueProperty: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    captionProperty: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}, {
    props: any;
    emit: (e: 'update:modelValue', value: unknown) => void;
    getItemValue: (value: unknown) => unknown;
    getItemCaption: (value: unknown) => string;
    isValid: (value: unknown) => string | true;
    getSelectedValue: (value: unknown) => string;
    meta: import("vee-validate").FieldMeta<unknown>;
    errorMessage: import("vue").Ref<string | undefined>;
    value: import("vue").Ref<unknown>;
    handleBlur: (e?: Event | undefined) => void;
    emitValue: (event: Event) => void;
    validationListeners: import("vue").ComputedRef<{
        blur: (e?: Event | undefined) => void;
        change: (event: Event) => void;
    }>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
    UiFieldError: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | ObjectConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    allowNull: {
        type: BooleanConstructor;
        required: false;
    };
    values: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    valueProperty: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    captionProperty: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    values: unknown[];
    disabled: boolean;
    required: boolean;
    id: string;
    name: string;
    modelValue: string | number | Record<string, any>;
    validationMessageRequired: string;
    allowNull: boolean;
}>;
export default _sfc_main;
