import { BreakpointKey } from '../config/responsiveConfig';
export declare type BreakpointsOptions = {
    [minWidth in string]?: BreakpointOption;
};
export declare type BreakpointOption = {
    slidesPerView?: number;
    spaceBetween?: number;
};
export declare type PropBreakpoint = {
    [breakpointKey in BreakpointKey]?: BreakpointOption;
};
export declare const createBreakpointOptions: (propBreakpoint: PropBreakpoint) => BreakpointsOptions;
