declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        required: false;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    cols: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showCharCount: {
        type: BooleanConstructor;
        required: false;
    };
    minCharCount: {
        type: NumberConstructor;
        required: false;
    };
    maxCharCount: {
        type: NumberConstructor;
        required: false;
    };
    guideMessage: {
        type: StringConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}, {
    props: any;
    emit: (e: 'update:modelValue', value: string) => void;
    normalizeTextValue: (value: string | number, trim: boolean) => string;
    isValid: (value: string) => boolean | string;
    meta: import("vee-validate").FieldMeta<string>;
    errorMessage: import("vue").Ref<string | undefined>;
    value: import("vue").Ref<string>;
    handleChange: (e: unknown, shouldValidate?: boolean | undefined) => void;
    handleBlur: (e?: Event | undefined) => void;
    normalizeValue: (event: Event) => void;
    emitValue: () => void;
    validationListeners: import("vue").ComputedRef<{
        blur: (e?: Event | undefined) => void;
        change: () => void;
        input: (event: Event) => void;
    }>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
    counts: import("vue").ComputedRef<string>;
    countsStyle: import("vue").ComputedRef<string>;
    readonly vFocusOnLoad: import("vue").Directive<any, any>;
    readonly vSelectOnLoad: import("vue").Directive<any, any>;
    UiFieldGuide: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    UiFieldError: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
        default: string;
    };
    maxlength: {
        type: NumberConstructor;
        required: false;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    rows: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    cols: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    showCharCount: {
        type: BooleanConstructor;
        required: false;
    };
    minCharCount: {
        type: NumberConstructor;
        required: false;
    };
    maxCharCount: {
        type: NumberConstructor;
        required: false;
    };
    guideMessage: {
        type: StringConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: (StringConstructor | FunctionConstructor)[];
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    required: boolean;
    id: string;
    name: string;
    modelValue: string | number;
    useLabelAsPlaceholder: boolean;
    validationMessageRequired: string;
    rows: number;
    cols: number;
    showCharCount: boolean;
    validationMessageMinCharCount: string | Function;
    validationMessageMaxCharCount: string | Function;
}>;
export default _sfc_main;
