declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxlength: {
        type: NumberConstructor;
        required: false;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    hideCurrencyUnit: {
        type: BooleanConstructor;
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    guideMessage: {
        type: StringConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}, {
    props: any;
    emit: (e: 'update:modelValue', value: string | number) => void;
    normalizePriceValue: (value: string | number | undefined, format: boolean, numberize?: boolean) => string;
    isValid: (value: string) => string | true;
    meta: import("vee-validate").FieldMeta<string>;
    errorMessage: import("vue").Ref<string | undefined>;
    value: import("vue").Ref<string>;
    handleChange: (e: unknown, shouldValidate?: boolean | undefined) => void;
    handleBlur: (e?: Event | undefined) => void;
    normalizeValue: (event: Event) => void;
    deleteZero: (event: Event) => void;
    emitValue: () => void;
    validationListeners: import("vue").ComputedRef<{
        blur: (event: Event) => void;
        change: () => void;
        input: (event: Event) => void;
        focus: (event: Event) => void;
    }>;
    showErrorMessage: import("vue").ComputedRef<boolean>;
    computedPlaceholder: import("vue").ComputedRef<string>;
    currencySymbolAfter: string;
    readonly vFocusOnLoad: import("vue").Directive<any, any>;
    readonly vSelectOnLoad: import("vue").Directive<any, any>;
    UiFieldGuide: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    UiFieldError: import("vue").DefineComponent<{}, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: StringConstructor;
        required: false;
    };
    placeholder: {
        type: StringConstructor;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: BooleanConstructor;
        required: false;
        default: boolean;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: (StringConstructor | NumberConstructor)[];
        required: false;
    };
    maxlength: {
        type: NumberConstructor;
        required: false;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    hideCurrencyUnit: {
        type: BooleanConstructor;
        required: false;
    };
    required: {
        type: BooleanConstructor;
        required: false;
    };
    guideMessage: {
        type: StringConstructor;
        required: false;
    };
    validationMessageRequired: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    focusOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    selectOnLoad: {
        type: (BooleanConstructor | NumberConstructor)[];
        required: false;
    };
    externalErrorMessageId: {
        type: StringConstructor;
        required: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    required: boolean;
    id: string;
    name: string;
    useLabelAsPlaceholder: boolean;
    hideCurrencyUnit: boolean;
    validationMessageRequired: string;
}>;
export default _sfc_main;
