declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: NumberConstructor;
        required: false;
    };
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    minQty: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    maxQty: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    allowZero: {
        type: BooleanConstructor;
        required: false;
    };
    extraValues: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    forceInputMode: {
        type: BooleanConstructor;
        required: false;
    };
    selectQtyCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    useChangeButton: {
        type: BooleanConstructor;
        required: false;
    };
    changeButtonCaption: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    captionProvider: {
        type: FunctionConstructor;
        required: false;
    };
}, {
    props: any;
    emit: {
        (e: 'input', value: number): void;
        (e: 'update:modelValue', value: number): void;
    };
    validMinQty: import("vue").ComputedRef<number>;
    validMaxQty: import("vue").ComputedRef<number>;
    inputThreshold: import("vue").ComputedRef<number>;
    options: import("vue").ComputedRef<number[]>;
    extraValuesAboveThreshold: import("vue").ComputedRef<number[]>;
    qtyValue: import("vue").Ref<number>;
    emitChangeEvent: () => void;
    needInputMode: import("vue").ComputedRef<boolean>;
    inputMode: import("vue").Ref<boolean>;
    input: import("vue").Ref<HTMLInputElement | null>;
    isExtraValue: (value: number) => boolean;
    qtyChanged: (newInputValue: number | string, selectInput?: boolean, fireChange?: boolean) => void;
    qtyChangedByUser: (event: Event) => void;
    getCaption: (value: number) => string;
    UiButton: import("vue").DefineComponent<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        iconClass: import("vue").ComputedRef<string>;
        extraClass: import("vue").ComputedRef<string>;
        isComponentLink: import("vue").ComputedRef<boolean>;
        checkComponentLinkOrButton: import("vue").ComputedRef<"button" | import("vue").DefineComponent<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }, {
            props: any;
            isTargetSelf: import("vue").ComputedRef<boolean>;
            instance: import("vue").ComponentInternalInstance | null;
            isVueRouterInstalled: boolean;
            router: import("vue-router").Router | undefined;
            routerBase: string;
            isInternalLink: import("vue").ComputedRef<"" | "RELATIVE_PATH" | "SAME_ORIGIN" | undefined>;
            computedHref: import("vue").ComputedRef<string | undefined>;
            component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }>>, {
            replace: boolean;
        }>>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }>>, {
        caption: string;
        replace: boolean;
        buttonType: string;
        iconDirection: string;
        disabled: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "input")[], "update:modelValue" | "input", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: NumberConstructor;
        required: false;
    };
    id: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    name: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    title: {
        type: StringConstructor;
        required: false;
    };
    minQty: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    maxQty: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    allowZero: {
        type: BooleanConstructor;
        required: false;
    };
    extraValues: {
        type: ArrayConstructor;
        required: false;
        default: () => never[];
    };
    forceInputMode: {
        type: BooleanConstructor;
        required: false;
    };
    selectQtyCount: {
        type: NumberConstructor;
        required: false;
        default: number;
    };
    useChangeButton: {
        type: BooleanConstructor;
        required: false;
    };
    changeButtonCaption: {
        type: StringConstructor;
        required: false;
        default: () => string;
    };
    disabled: {
        type: BooleanConstructor;
        required: false;
    };
    captionProvider: {
        type: FunctionConstructor;
        required: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
}, {
    disabled: boolean;
    id: string;
    name: string;
    minQty: number;
    maxQty: number;
    allowZero: boolean;
    extraValues: unknown[];
    forceInputMode: boolean;
    selectQtyCount: number;
    useChangeButton: boolean;
    changeButtonCaption: string;
}>;
export default _sfc_main;
