import { DatePeriod, MonthListItem } from '../components/UiPeriodSearchModel';
import dayjs from "dayjs";
declare const _sfc_main: import("vue").DefineComponent<{
    modelValue: {
        type: null;
        required: false;
    };
    allowNull: {
        type: BooleanConstructor;
        required: false;
    };
    monthList: {
        type: ArrayConstructor;
        required: false;
        default: () => MonthListItem[];
    };
}, {
    DATE_FORMAT: string;
    props: any;
    emit: (e: 'update:modelValue', value?: DatePeriod) => void;
    fromDateField: import("vue").Ref<HTMLInputElement | undefined>;
    supportsDate: import("vue").ComputedRef<boolean>;
    monthButtons: import("vue").ComputedRef<MonthListItem[]>;
    setMonth: (month: MonthListItem) => void;
    selectedMonth: import("vue").Ref<MonthListItem | undefined>;
    resetSelectedMonth: () => void;
    fromDate: import("vue").Ref<string | undefined>;
    toDate: import("vue").Ref<string | undefined>;
    formatDateTypeValue: (date: string) => string;
    formattedFromDate: import("vue").ComputedRef<string>;
    formattedToDate: import("vue").ComputedRef<string>;
    getDateFromEvent: (event: Event) => dayjs.Dayjs | undefined;
    changeFromDate: (event: Event) => void;
    changeToDate: (event: Event) => void;
    dateStringFromDate: (date?: Date) => string | undefined;
    emitModelValue: () => void;
    UiButton: import("vue").DefineComponent<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }, {
        props: any;
        iconClass: import("vue").ComputedRef<string>;
        extraClass: import("vue").ComputedRef<string>;
        isComponentLink: import("vue").ComputedRef<boolean>;
        checkComponentLinkOrButton: import("vue").ComputedRef<"button" | import("vue").DefineComponent<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }, {
            props: any;
            isTargetSelf: import("vue").ComputedRef<boolean>;
            instance: import("vue").ComponentInternalInstance | null;
            isVueRouterInstalled: boolean;
            router: import("vue-router").Router | undefined;
            routerBase: string;
            isInternalLink: import("vue").ComputedRef<"" | "RELATIVE_PATH" | "SAME_ORIGIN" | undefined>;
            computedHref: import("vue").ComputedRef<string | undefined>;
            component: import("vue").ComputedRef<import("vue-router")._RouterLinkI | "a">;
        }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
            href: {
                type: StringConstructor;
                required: false;
            };
            target: {
                type: StringConstructor;
                required: false;
            };
            replace: {
                type: BooleanConstructor;
                required: false;
            };
        }>>, {
            replace: boolean;
        }>>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
        caption: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        href: {
            type: StringConstructor;
            required: false;
        };
        replace: {
            type: BooleanConstructor;
            required: false;
        };
        routerTo: {
            type: StringConstructor;
            required: false;
        };
        buttonType: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        icon: {
            type: StringConstructor;
            required: false;
        };
        iconDirection: {
            type: StringConstructor;
            required: false;
            default: string;
        };
        disabled: {
            type: BooleanConstructor;
            required: false;
        };
    }>>, {
        caption: string;
        replace: boolean;
        buttonType: string;
        iconDirection: string;
        disabled: boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    modelValue: {
        type: null;
        required: false;
    };
    allowNull: {
        type: BooleanConstructor;
        required: false;
    };
    monthList: {
        type: ArrayConstructor;
        required: false;
        default: () => MonthListItem[];
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    allowNull: boolean;
    monthList: unknown[];
}>;
export default _sfc_main;
